require 'source/utils/text'

-- WORLD 5: RED

levels[41] = {
	{ name = "wall", arguments = {0, 0, 2600, 1000} },
	{ name = "wall", arguments = {0, 1000, 1000, 2200} },
	{ name = "wall", arguments = {1600, 1000, 1000, 2200} },
	{ name = "wall", arguments = {0, 3200, 2600, 1000} },
	{ name = "wall", arguments = {1000, 1600, 200, 200} },
	{ name = "wall", arguments = {1400, 1600, 200, 200} },
	{ name = "wall", arguments = {1000, 2400, 200, 200} },
	{ name = "wall", arguments = {1400, 2400, 200, 200} },
    { name = "door", arguments = {1200, 2350, 200, 300, 3}},
	{ name = "door", arguments = {1200, 1550, 200, 300, 6}},
	{ name = "spark", arguments = {1200, 2700} },
	{ name = "spark", arguments = {1300, 2700} },
	{ name = "spark", arguments = {1400, 2700} },
	{ name = "spark", arguments = {1200, 1900} },
	{ name = "spark", arguments = {1300, 1900} },
	{ name = "spark", arguments = {1400, 1900} },
	{ name = "spark", arguments = {1200, 1500} },
	{ name = "spark", arguments = {1300, 1500} },
	{ name = "spark", arguments = {1400, 1500} },
	{ name = "movecircle", arguments = { {
		{1000, 2600},
		{1000, 3200},
		{1600, 3200},
		{1600, 2600}
	}, 150, 10, "pong"} },
	{ name = "movecircle", arguments = { {
		{1000, 1800},
		{1000, 2400}
	}, 200, 10, "pong"} },
	{ name = "movecircle", arguments = { {
		{1600, 2400},
		{1600, 1800}
	}, 200, 10, "pong"} },
	{ name = "text", arguments = {text[41][1][1], 1295, 2245, text[41][1][2]} },
	{ name = "finish", arguments = {1300, 1243} },
	{ name = "player", arguments = {1300, 3020} }
}

levels[42] = {
	{ name = "wall", arguments = {0, 0, 3700, 1000} },
	{ name = "wall", arguments = {0, 1000, 1000, 1600} },
	{ name = "wall", arguments = {2700, 1000, 1000, 1600} },
	{ name = "wall", arguments = {0, 2600, 3700, 1000} },
	{ name = "wall", arguments = {1000, 1300, 200, 200} },
	{ name = "wall", arguments = {1400, 1300, 1000, 200} },
	{ name = "wall", arguments = {2200, 1500, 200, 600} },
	{ name = "wall", arguments = {1000, 2100, 200, 200} },
	{ name = "wall", arguments = {1400, 2100, 1000, 200} },
    { name = "door", arguments = {1200, 1250, 200, 1100, 18}},
	{ name = "spark", arguments = {1300, 2500} },
	{ name = "spark", arguments = {1840, 2450} },
	{ name = "spark", arguments = {1900, 2450} },
	{ name = "spark", arguments = {1960, 2450} },
	{ name = "spark", arguments = {2520, 2450} },
	{ name = "spark", arguments = {2580, 2450} },
	{ name = "spark", arguments = {2550, 2480} },
	{ name = "spark", arguments = {2550, 2420} },
	{ name = "spark", arguments = {2550, 1800} },
	{ name = "spark", arguments = {1300, 1100} },
	{ name = "spark", arguments = {1840, 1150} },
	{ name = "spark", arguments = {1900, 1150} },
	{ name = "spark", arguments = {1960, 1150} },
	{ name = "spark", arguments = {2520, 1150} },
	{ name = "spark", arguments = {2580, 1150} },
	{ name = "spark", arguments = {2550, 1180} },
	{ name = "spark", arguments = {2550, 1120} },
	{ name = "spark", arguments = {2550, 1800} },
	{ name = "sizecircle", arguments = {2700, 1000, 100, 200, 100} },
	{ name = "sizecircledependent", arguments = {2550, 1500, 100, 200, 100, "pause"} },
	{ name = "sizecircledependent", arguments = {2550, 2100, 100, 200, 100, "pause"} },
	{ name = "sizecircle", arguments = {2700, 2600, 100, 200, 100} },
	{ name = "sizecircle", arguments = {1625, 1800, 100, 200, 100} },
	{ name = "finish", arguments = {1900, 1800} },
	{ name = "player", arguments = {1100, 1280} }
}

levels[43] = {
	{ name = "wall", arguments = {0, 0, 3800, 1000} },
	{ name = "wall", arguments = {0, 1000, 1000, 1200} },
	{ name = "wall", arguments = {2800, 1000, 1000, 1200} },
	{ name = "wall", arguments = {0, 2200, 3800, 1000} },
	{ name = "wall", arguments = {1000, 1000, 700, 400} },
	{ name = "wall", arguments = {2100, 1000, 700, 400} },
	{ name = "wall", arguments = {1000, 1400, 800, 200} },
	{ name = "wall", arguments = {2000, 1400, 800, 200} },
	{ name = "wall", arguments = {1000, 1600, 600, 100} },
	{ name = "wall", arguments = {2200, 1600, 600, 100} },
	{ name = "wall", arguments = {1400, 1700, 200, 100} },
	{ name = "wall", arguments = {2200, 1700, 200, 100} },
	{ name = "wall", arguments = {1400, 2000, 200, 100} },
	{ name = "wall", arguments = {2200, 2000, 200, 100} },
	{ name = "wall", arguments = {1000, 2100, 600, 100} },
	{ name = "wall", arguments = {2200, 2100, 600, 100} },
    { name = "door", arguments = {1800, 1350, 200, 300, 8}},
	{ name = "door", arguments = {2150, 1800, 300, 200, 20}},
	{ name = "door", arguments = {1350, 1800, 300, 200, 24}},
	{ name = "spark", arguments = {1725, 1700} },
	{ name = "spark", arguments = {1725, 1800} },
	{ name = "spark", arguments = {1725, 1900} },
	{ name = "spark", arguments = {1725, 2000} },
	{ name = "spark", arguments = {2075, 1700} },
	{ name = "spark", arguments = {2075, 1800} },
	{ name = "spark", arguments = {2075, 1900} },
	{ name = "spark", arguments = {2075, 2000} },
	{ name = "spark", arguments = {1870, 1140} },
	{ name = "spark", arguments = {1930, 1140} },
	{ name = "spark", arguments = {1840, 1170} },
	{ name = "spark", arguments = {1900, 1170} },
	{ name = "spark", arguments = {1960, 1170} },
	{ name = "spark", arguments = {1870, 1200} },
	{ name = "spark", arguments = {1930, 1200} },
	{ name = "spark", arguments = {1840, 1230} },
	{ name = "spark", arguments = {1900, 1230} },
	{ name = "spark", arguments = {1960, 1230} },
	{ name = "spark", arguments = {1870, 1260} },
	{ name = "spark", arguments = {1930, 1260} },
	{ name = "spark", arguments = {2600, 1985} },
	{ name = "spark", arguments = {2570, 2015} },
	{ name = "spark", arguments = {2630, 2015} },
	{ name = "spark", arguments = {2600, 2045} },
	
	{ name = "circle", arguments = {1900, 1885, 100}},
	{ name = "movecircle", arguments = { {
		{1700, 1400},	
		{1700, 1000},
		{2100, 1000},
		{2100, 1400},
	}, 150, 7, "pong"} },
	{ name = "movecircle", arguments = { {
		{2400, 1700},
		{2800, 1700},
		{2800, 2100},
		{2400, 2100},
	}, 100, 7, "pong"} },

	{ name = "text", arguments = {text[43][1][1], 2600, 1820, text[43][1][2]} },
	
	{ name = "finish", arguments = {1200, 1900} },
	{ name = "player", arguments = {1750, 2120} }
}

levels[44] = {
	{ name = "wall", arguments = {0, 0, 3800, 1000} },
	{ name = "wall", arguments = {0, 1000, 1000, 1400} },
	{ name = "wall", arguments = {2800, 1000, 1000, 1400} },
	{ name = "wall", arguments = {0, 2400, 3800, 1000} },
	{ name = "wall", arguments = {1000, 1000, 800, 400} },
	{ name = "wall", arguments = {1000, 1400, 400, 400} },
	{ name = "wall", arguments = {2400, 1000, 400, 600} },
	{ name = "wall", arguments = {2000, 1600, 800, 200} },
	{ name = "wall", arguments = {2000, 1800, 200, 200} },
	{ name = "wall", arguments = {1600, 2000, 600, 200} },
	{ name = "wall", arguments = {1600, 2300, 600, 100} },
    { name = "door", arguments = {1800, 2200, 200, 100, 5}},
	{ name = "door", arguments = {1400, 1800, 200, 200, 14}},
	{ name = "door", arguments = {1800, 1400, 200, 200, 18}},
	{ name = "spark", arguments = {1300, 2040} },
	{ name = "spark", arguments = {1270, 2070} },
	{ name = "spark", arguments = {1330, 2070} },
	{ name = "spark", arguments = {1300, 2100} },
	{ name = "spark", arguments = {1700, 2250} },
	{ name = "spark", arguments = {2100, 2250} },
	{ name = "spark", arguments = {2250, 1850} },
	{ name = "spark", arguments = {2500, 1850} },
	{ name = "spark", arguments = {2750, 1850} },
	{ name = "spark", arguments = {2250, 2100} },
	{ name = "spark", arguments = {2750, 2100} },
	{ name = "spark", arguments = {2250, 2350} },
	{ name = "spark", arguments = {2500, 2350} },
	{ name = "spark", arguments = {2750, 2350} },
	{ name = "spark", arguments = {1665, 1665} },
	{ name = "spark", arguments = {1735, 1665} },
	{ name = "spark", arguments = {1665, 1735} },
	{ name = "spark", arguments = {1735, 1735} },
	{ name = "sizecircle", arguments = {2500, 2100, 100, 300, 100}},
	{ name = "movecircledependent", arguments = { {
		{1400, 1800},
		{1000, 1800},
		{1000, 2400},
		{1600, 2400},
		{1600, 2300},
	}, 150, 14, "stop", "pong"} },
	{ name = "movecircledependent", arguments = { {
		{1400, 1800},
		{1400, 1400},
		{1800, 1400},
	}, 150, 10, "stop", "pong"} },
	{ name = "movecircledependent", arguments = { {
		{2000, 1600},
		{2000, 2000},
		{1600, 2000},
	}, 150, 10, "stop", "pong"} },
	{ name = "text", arguments = {text[44][1][1], 1700, 1700, text[44][1][2]} },
	{ name = "finish", arguments = {2100, 1300} },
	{ name = "player", arguments = {1300, 2300} }
}

levels[45] = {
	{ name = "wall", arguments = {0, 0, 3300, 1000} },
	{ name = "wall", arguments = {0, 1000, 1000, 1600} },
	{ name = "wall", arguments = {2300, 1000, 1000, 1600} },
	{ name = "wall", arguments = {0, 2600, 3300, 1000} },
	{ name = "wall", arguments = {1000, 1000, 100, 400} },
	{ name = "wall", arguments = {1300, 1000, 700, 200} },
	{ name = "wall", arguments = {1300, 1300, 700, 100} },
	{ name = "wall", arguments = {1300, 1600, 700, 100} },
	{ name = "wall", arguments = {1300, 1700, 1000, 100} },
	{ name = "wall", arguments = {1000, 1600, 100, 300} },
	{ name = "wall", arguments = {1000, 1900, 1000, 200} },
	{ name = "wall", arguments = {1000, 2100, 300, 100} },
	{ name = "wall", arguments = {1150, 2300, 850, 100} },
	{ name = "wall", arguments = {1000, 2500, 1000, 100} },
	{ name = "wall", arguments = {1100, 1750, 50, 50} },
	{ name = "wall", arguments = {1095, 1800, 100, 100} },
	{ name = "wall", arguments = {2200, 1800, 100, 100} },
	{ name = "wall", arguments = {2250, 1900, 50, 50} },

	{ name = "door", arguments = {1000, 1400, 1100, 200, 3}},
	{ name = "door", arguments = {1300, 2100, 900, 200, 6}},

	{ name = "spark", arguments = {2200, 1440} },
	{ name = "spark", arguments = {2200, 1500} },
	{ name = "spark", arguments = {2200, 1560} },
	{ name = "spark", arguments = {1490, 2450} },
	{ name = "spark", arguments = {1550, 2450} },
	{ name = "spark", arguments = {1610, 2450} },

	{ name = "movecircle", arguments = { {
		{1350, 1300},
		{1950, 1300},
		{1950, 1350},
		{1350, 1350},
	}, 50, 3, "ring"} },

	{ name = "movecircle", arguments = { {
		{1950, 1350},
		{1350, 1350},
		{1350, 1300},
		{1950, 1300},
	}, 50, 3, "ring"} },

	{ name = "movecircle", arguments = { {
		{1950, 2400},
		{1200, 2400},
		{1200, 2350},
		{1950, 2350},
	}, 75, 3, "ring"} },

	{ name = "movecircle", arguments = { {
		{1200, 2350},
		{1950, 2350},
		{1950, 2400},
		{1200, 2400},
	}, 75, 3, "ring"} },

	{ name = "text", arguments = {text[45][1][1], 2150, 1100, text[45][1][2]} },
	{ name = "text", arguments = {text[45][2][1], 1650, 1850, text[45][2][2]} },
	{ name = "text", arguments = {text[45][3][1], 1075, 2250, text[45][3][2]} },

	{ name = "finish", arguments = {2150, 2450} },
	{ name = "player", arguments = {1200, 1350} }
}

levels[46] = {
	{ name = "wall", arguments = {0, 0, 6100, 1000} },
	{ name = "wall", arguments = {0, 1000, 1000, 3200} },
	{ name = "wall", arguments = {5100, 1000, 1000, 3200} },
	{ name = "wall", arguments = {0, 4200, 6100, 1000} },
	{ name = "wall", arguments = {1000, 1000, 900, 1000} },
	{ name = "wall", arguments = {1600, 2000, 300, 300} },
	{ name = "wall", arguments = {1600, 2200, 1000, 200} },
	{ name = "wall", arguments = {1600, 2400, 600, 400} },
	{ name = "wall", arguments = {2400, 2800, 200, 200} },
	{ name = "wall", arguments = {1000, 3000, 1600, 200} },
	{ name = "wall", arguments = {1000, 2600, 400, 400} },
	{ name = "wall", arguments = {1000, 3200, 1000, 1000} },
	{ name = "wall", arguments = {2000, 3200, 200, 200} },
	{ name = "wall", arguments = {2000, 3400, 100, 100} },
	{ name = "wall", arguments = {4300, 1400, 800, 200} },
	{ name = "wall", arguments = {3300, 1000, 1200, 200} },
	{ name = "wall", arguments = {3300, 1200, 400, 200} },
	{ name = "wall", arguments = {3200, 1400, 500, 300} },
	{ name = "wall", arguments = {2400, 1700, 1300, 100} },
	{ name = "wall", arguments = {2400, 1400, 500, 300} },
	{ name = "wall", arguments = {3500, 1800, 1000, 400} },
	{ name = "wall", arguments = {2800, 2200, 1300, 200} },
	{ name = "wall", arguments = {3200, 2400, 600, 200} },
	{ name = "wall", arguments = {3200, 2600, 300, 200} },
	{ name = "wall", arguments = {2800, 2800, 200, 200} },
	{ name = "wall", arguments = {2800, 3000, 2300, 200} },
	{ name = "wall", arguments = {3800, 2800, 1300, 200} },
	{ name = "wall", arguments = {4100, 2600, 1000, 200} },
	{ name = "wall", arguments = {4400, 2400, 700, 200} },
	{ name = "wall", arguments = {4800, 2200, 300, 200} },
	{ name = "wall", arguments = {3400, 3200, 1700, 1000} },
	{ name = "wall", arguments = {3200, 4000, 200, 200} },
	{ name = "wall", arguments = {3300, 3900, 100, 100} },
	{ name = "wall", arguments = {3100, 3300, 200, 100} },
	{ name = "wall", arguments = {3000, 3400, 200, 100} },
	{ name = "wall", arguments = {2100, 3800, 100, 200} },
	{ name = "wall", arguments = {2100, 4000, 200, 100} },

	{ name = "door", arguments = {2600, 2200, 200, 200, 8}},
	{ name = "door", arguments = {4300, 1600, 200, 200, 26}},
	{ name = "door", arguments = {2600, 2800, 200, 200, 35}},

	{ name = "spark", arguments = {2150, 1978} },
	{ name = "spark", arguments = {2180, 2008} },
	{ name = "spark", arguments = {2120, 2008} },
	{ name = "spark", arguments = {2150, 2038} },
	{ name = "spark", arguments = {2150, 1263} },
	{ name = "spark", arguments = {2180, 1293} },
	{ name = "spark", arguments = {2120, 1293} },
	{ name = "spark", arguments = {2150, 1323} },
	{ name = "spark", arguments = {1300, 2240} },
	{ name = "spark", arguments = {1270, 2270} },
	{ name = "spark", arguments = {1330, 2270} },
	{ name = "spark", arguments = {1240, 2300} },
	{ name = "spark", arguments = {1300, 2300} },
	{ name = "spark", arguments = {1360, 2300} },
	{ name = "spark", arguments = {1270, 2330} },
	{ name = "spark", arguments = {1330, 2330} },
	{ name = "spark", arguments = {1300, 2360} },
	{ name = "spark", arguments = {4800, 1840} },
	{ name = "spark", arguments = {4770, 1870} },
	{ name = "spark", arguments = {4830, 1870} },
	{ name = "spark", arguments = {4740, 1900} },
	{ name = "spark", arguments = {4800, 1900} },
	{ name = "spark", arguments = {4860, 1900} },
	{ name = "spark", arguments = {4770, 1930} },
	{ name = "spark", arguments = {4830, 1930} },
	{ name = "spark", arguments = {4800, 1960} },
	{ name = "spark", arguments = {4800, 1140} },
	{ name = "spark", arguments = {4770, 1170} },
	{ name = "spark", arguments = {4830, 1170} },
	{ name = "spark", arguments = {4740, 1200} },
	{ name = "spark", arguments = {4800, 1200} },
	{ name = "spark", arguments = {4860, 1200} },
	{ name = "spark", arguments = {4770, 1230} },
	{ name = "spark", arguments = {4830, 1230} },
	{ name = "spark", arguments = {4800, 1260} },
	{ name = "spark", arguments = {2640, 3635} },
	{ name = "spark", arguments = {2700, 3635} },
	{ name = "spark", arguments = {2760, 3635} },
	{ name = "spark", arguments = {2640, 3765} },
	{ name = "spark", arguments = {2700, 3765} },
	{ name = "spark", arguments = {2760, 3765} },

	{ name = "sizecircledependent", arguments = {2150, 1600, 50, 200, 50, "pause"} },
	{ name = "sizecircledependent", arguments = {4000, 1500, 50, 200, 50, "pause"} },

	{ name = "movecircledependent", arguments = { {
		{1700, 2800},
		{2100, 2800}
	}, 75, 8, "stop"} },

	{ name = "movecircledependent", arguments = { {
		{2400, 3000},
		{1400, 3000}
	}, 75, 8, "stop"} },

	{ name = "text", arguments = {text[46][1][1], 3650, 2800, text[46][1][2]} },
	{ name = "text", arguments = {text[46][2][1], 3950, 2600, text[46][2][2]} },
	{ name = "text", arguments = {text[46][3][1], 4250, 2400, text[46][3][2]} },
	{ name = "text", arguments = {text[46][4][1], 2700, 3700, text[46][4][2]} },

	{ name = "finish", arguments = {3050, 1550} },
	{ name = "player", arguments = {3350, 2120} }
}





levels[50] = {
	{ name = "wall", arguments = {-1000, -1000, 7000, 1000} },
	{ name = "wall", arguments = {-1000, 0, 1000, 3900} },
	{ name = "wall", arguments = {3900, 0, 2100, 2200} },
	{ name = "wall", arguments = {5000, 2200, 1000, 600} },
	{ name = "wall", arguments = {3900, 2500, 800, 300} },
	{ name = "wall", arguments = {3900, 2800, 2100, 1100} },
	{ name = "wall", arguments = {-1000, 3900, 7000, 1000} },
	
	{ name = "wall", arguments = {0, 0, 3900, 100} },
	{ name = "wall", arguments = {0, 100, 100, 3700} },
	{ name = "wall", arguments = {3800, 100, 100, 2100} },
	{ name = "wall", arguments = {3800, 2500, 100, 1300} },
	{ name = "wall", arguments = {0, 3800, 3900, 100} },
	{ name = "wall", arguments = {3800, 2200, 1100, 100} },
	{ name = "wall", arguments = {3800, 2400, 900, 100} },
	{ name = "wall", arguments = {4900, 2200, 100, 600} },
	{ name = "wall", arguments = {4700, 2400, 100, 400} },
	{ name = "wall", arguments = {4800, 2700, 100, 100} },
	{ name = "wall", arguments = {1000, 1200, 900, 100} },
	{ name = "wall", arguments = {2000, 1200, 700, 500} },
	{ name = "wall", arguments = {1200, 1300, 700, 400} },
	{ name = "wall", arguments = {1200, 1700, 500, 500} },
	{ name = "wall", arguments = {2200, 1700, 500, 500} },
	{ name = "wall", arguments = {1200, 2200, 1500, 500} },
	{ name = "wall", arguments = {100, 200, 200, 100} },
	{ name = "wall", arguments = {800, 200, 1300, 100} },
	{ name = "wall", arguments = {2800, 200, 300, 100} },
	{ name = "wall", arguments = {3600, 200, 200, 100} },
	{ name = "wall", arguments = {200, 400, 1300, 100} },
	{ name = "wall", arguments = {1600, 400, 300, 100} },
	{ name = "wall", arguments = {2200, 400, 500, 100} },
	{ name = "wall", arguments = {3200, 400, 500, 100} },
	{ name = "wall", arguments = {400, 600, 500, 100} },
	{ name = "wall", arguments = {1000, 600, 700, 100} },
	{ name = "wall", arguments = {1800, 600, 500, 100} },
	{ name = "wall", arguments = {2400, 600, 500, 100} },
	{ name = "wall", arguments = {3000, 600, 500, 100} },
	{ name = "wall", arguments = {400, 800, 500, 100} },
	{ name = "wall", arguments = {1200, 800, 300, 100} },
	{ name = "wall", arguments = {1600, 800, 300, 100} },
	{ name = "wall", arguments = {2200, 800, 300, 100} },
	{ name = "wall", arguments = {2600, 800, 500, 100} },
	{ name = "wall", arguments = {3200, 800, 300, 100} },
	{ name = "wall", arguments = {200, 1000, 300, 100} },
	{ name = "wall", arguments = {600, 1000, 700, 100} },
	{ name = "wall", arguments = {1600, 1000, 300, 100} },
	{ name = "wall", arguments = {2200, 1000, 1500, 100} },
	{ name = "wall", arguments = {100, 1200, 200, 100} },
	{ name = "wall", arguments = {400, 1200, 300, 100} },
	{ name = "wall", arguments = {2800, 1200, 500, 100} },
	{ name = "wall", arguments = {3600, 1200, 200, 100} },
	{ name = "wall", arguments = {800, 1400, 300, 100} },
	{ name = "wall", arguments = {2700, 1400, 200, 100} },
	{ name = "wall", arguments = {3200, 1400, 500, 100} },
	{ name = "wall", arguments = {100, 1600, 600, 100} },
	{ name = "wall", arguments = {3000, 1600, 300, 100} },
	{ name = "wall", arguments = {3400, 1600, 300, 100} },
	{ name = "wall", arguments = {200, 1800, 300, 100} },
	{ name = "wall", arguments = {600, 1800, 300, 100} },
	{ name = "wall", arguments = {2800, 1800, 300, 100} },
	{ name = "wall", arguments = {3200, 1800, 300, 100} },
	{ name = "wall", arguments = {400, 2000, 700, 100} },
	{ name = "wall", arguments = {2700, 2000, 400, 100} },
	{ name = "wall", arguments = {200, 2200, 300, 100} },
	{ name = "wall", arguments = {600, 2200, 600, 100} },
	{ name = "wall", arguments = {3000, 2200, 300, 100} },
	{ name = "wall", arguments = {400, 2400, 700, 100} },
	{ name = "wall", arguments = {2800, 2400, 300, 100} },
	{ name = "wall", arguments = {200, 2600, 300, 100} },
	{ name = "wall", arguments = {800, 2600, 300, 100} },
	{ name = "wall", arguments = {2800, 2600, 300, 100} },
	{ name = "wall", arguments = {3600, 2600, 200, 100} },
	{ name = "wall", arguments = {400, 2800, 300, 100} },
	{ name = "wall", arguments = {800, 2800, 1100, 100} },
	{ name = "wall", arguments = {2000, 2800, 300, 100} },
	{ name = "wall", arguments = {2600, 2800, 300, 100} },
	{ name = "wall", arguments = {3200, 2800, 300, 100} },
	{ name = "wall", arguments = {600, 3000, 300, 100} },
	{ name = "wall", arguments = {1200, 3000, 900, 100} },
	{ name = "wall", arguments = {2800, 3000, 500, 100} },
	{ name = "wall", arguments = {200, 3200, 500, 100} },
	{ name = "wall", arguments = {1400, 3200, 300, 100} },
	{ name = "wall", arguments = {1800, 3200, 300, 100} },
	{ name = "wall", arguments = {2400, 3200, 500, 100} },
	{ name = "wall", arguments = {3000, 3200, 700, 100} },
	{ name = "wall", arguments = {200, 3400, 500, 100} },
	{ name = "wall", arguments = {1000, 3400, 500, 100} },
	{ name = "wall", arguments = {2000, 3400, 500, 100} },
	{ name = "wall", arguments = {2800, 3400, 300, 100} },
	{ name = "wall", arguments = {600, 3600, 500, 100} },
	{ name = "wall", arguments = {1600, 3600, 500, 100} },
	{ name = "wall", arguments = {3000, 3600, 700, 100} },

	{ name = "wall", arguments = {200, 300, 100, 100} },
	{ name = "wall", arguments = {200, 500, 100, 400} },
	{ name = "wall", arguments = {200, 1300, 100, 200} },
	{ name = "wall", arguments = {200, 1900, 100, 300} },
	{ name = "wall", arguments = {200, 2300, 100, 300} },
	{ name = "wall", arguments = {200, 2700, 100, 400} },
	{ name = "wall", arguments = {200, 3300, 100, 100} },
	{ name = "wall", arguments = {200, 3500, 100, 200} },
	{ name = "wall", arguments = {400, 100, 100, 200} },
	{ name = "wall", arguments = {400, 900, 100, 100} },
	{ name = "wall", arguments = {400, 1100, 100, 100} },
	{ name = "wall", arguments = {400, 1300, 100, 200} },
	{ name = "wall", arguments = {400, 2100, 100, 100} },
	{ name = "wall", arguments = {400, 2900, 100, 300} },
	{ name = "wall", arguments = {400, 3600, 100, 200} },
	{ name = "wall", arguments = {600, 200, 100, 200} },
	{ name = "wall", arguments = {600, 1300, 100, 300} },
	{ name = "wall", arguments = {600, 1700, 100, 100} },
	{ name = "wall", arguments = {600, 2300, 100, 100} },
	{ name = "wall", arguments = {600, 2500, 100, 300} },
	{ name = "wall", arguments = {600, 3500, 100, 100} },
	{ name = "wall", arguments = {800, 100, 100, 100} },
	{ name = "wall", arguments = {800, 700, 100, 100} },
	{ name = "wall", arguments = {800, 1100, 100, 300} },
	{ name = "wall", arguments = {800, 1600, 100, 200} },
	{ name = "wall", arguments = {800, 2700, 100, 100} },
	{ name = "wall", arguments = {800, 3100, 100, 500} },
	{ name = "wall", arguments = {1000, 700, 100, 300} },
	{ name = "wall", arguments = {1000, 1500, 100, 500} },
	{ name = "wall", arguments = {1000, 2900, 100, 500} },
	{ name = "wall", arguments = {1200, 3100, 100, 200} },
	{ name = "wall", arguments = {1200, 3500, 100, 300} },
	{ name = "wall", arguments = {1400, 500, 100, 100} },
	{ name = "wall", arguments = {1400, 900, 100, 300} },
	{ name = "wall", arguments = {1400, 3500, 100, 200} },
	{ name = "wall", arguments = {1600, 300, 100, 100} },
	{ name = "wall", arguments = {1600, 700, 100, 100} },
	{ name = "wall", arguments = {1600, 3300, 100, 300} },
	{ name = "wall", arguments = {1800, 300, 100, 100} },
	{ name = "wall", arguments = {1800, 500, 100, 100} },
	{ name = "wall", arguments = {1800, 900, 100, 100} },
	{ name = "wall", arguments = {1800, 2900, 100, 100} },
	{ name = "wall", arguments = {1800, 3300, 100, 200} },
	{ name = "wall", arguments = {2000, 100, 100, 100} },
	{ name = "wall", arguments = {2000, 300, 100, 200} },
	{ name = "wall", arguments = {2000, 700, 100, 500} },
	{ name = "wall", arguments = {2000, 2700, 100, 100} },
	{ name = "wall", arguments = {2000, 3100, 100, 100} },
	{ name = "wall", arguments = {2000, 3500, 100, 100} },
	{ name = "wall", arguments = {2200, 200, 100, 200} },
	{ name = "wall", arguments = {2200, 500, 100, 100} },
	{ name = "wall", arguments = {2200, 900, 100, 100} },
	{ name = "wall", arguments = {2200, 2900, 100, 500} },
	{ name = "wall", arguments = {2200, 3600, 100, 200} },
	{ name = "wall", arguments = {2400, 100, 100, 200} },
	{ name = "wall", arguments = {2400, 700, 100, 100} },
	{ name = "wall", arguments = {2400, 2800, 100, 400} },
	{ name = "wall", arguments = {2400, 3500, 100, 200} },
	{ name = "wall", arguments = {2600, 200, 100, 200} },
	{ name = "wall", arguments = {2600, 2700, 100, 100} },
	{ name = "wall", arguments = {2600, 2900, 100, 200} },
	{ name = "wall", arguments = {2600, 3300, 100, 500} },
	{ name = "wall", arguments = {2800, 300, 100, 300} },
	{ name = "wall", arguments = {2800, 1500, 100, 200} },
	{ name = "wall", arguments = {2800, 2200, 100, 200} },
	{ name = "wall", arguments = {2800, 2500, 100, 100} },
	{ name = "wall", arguments = {2800, 3100, 100, 100} },
	{ name = "wall", arguments = {2800, 3300, 100, 100} },
	{ name = "wall", arguments = {2800, 3600, 100, 200} },
	{ name = "wall", arguments = {3000, 300, 100, 300} },
	{ name = "wall", arguments = {3000, 900, 100, 100} },
	{ name = "wall", arguments = {3000, 1300, 100, 300} },
	{ name = "wall", arguments = {3000, 1700, 100, 100} },
	{ name = "wall", arguments = {3000, 2100, 100, 100} },
	{ name = "wall", arguments = {3000, 2700, 100, 300} },
	{ name = "wall", arguments = {3000, 3500, 100, 100} },
	{ name = "wall", arguments = {3200, 100, 100, 300} },
	{ name = "wall", arguments = {3200, 1700, 100, 100} },
	{ name = "wall", arguments = {3200, 1900, 100, 200} },
	{ name = "wall", arguments = {3200, 2300, 100, 500} },
	{ name = "wall", arguments = {3200, 3300, 100, 200} },
	{ name = "wall", arguments = {3400, 200, 100, 200} },
	{ name = "wall", arguments = {3400, 700, 100, 100} },
	{ name = "wall", arguments = {3400, 1100, 100, 300} },
	{ name = "wall", arguments = {3400, 1500, 100, 100} },
	{ name = "wall", arguments = {3400, 1900, 100, 900} },
	{ name = "wall", arguments = {3400, 2900, 100, 300} },
	{ name = "wall", arguments = {3400, 3400, 100, 200} },
	{ name = "wall", arguments = {3600, 500, 100, 400} },
	{ name = "wall", arguments = {3600, 1700, 100, 900} },
	{ name = "wall", arguments = {3600, 2800, 100, 400} },
	{ name = "wall", arguments = {3600, 3300, 100, 200} },

	{ name = "door", arguments = {1900, 1200, 100, 100, 60}},
	{ name = "door", arguments = {1900, 1400, 100, 100, 61}},
	{ name = "door", arguments = {1900, 1600, 100, 100, 62}},

	{ name = "spark", arguments = {150, 150} },
	{ name = "spark", arguments = {250, 150} },
	{ name = "spark", arguments = {350, 150} },
	{ name = "spark", arguments = {150, 350} },
	{ name = "spark", arguments = {150, 450} },
	{ name = "spark", arguments = {150, 550} },
	{ name = "spark", arguments = {1350, 550} },
	{ name = "spark", arguments = {1950, 350} },
	{ name = "spark", arguments = {1950, 450} },
	{ name = "spark", arguments = {1950, 950} },
	{ name = "spark", arguments = {1950, 1050} },
	{ name = "spark", arguments = {2350, 950} },
	{ name = "spark", arguments = {2850, 950} },
	{ name = "spark", arguments = {2950, 950} },
	{ name = "spark", arguments = {2550, 150} },
	{ name = "spark", arguments = {2550, 250} },
	{ name = "spark", arguments = {2650, 150} },
	{ name = "spark", arguments = {3350, 250} },
	{ name = "spark", arguments = {3350, 350} },
	{ name = "spark", arguments = {3250, 950} },
	{ name = "spark", arguments = {3350, 950} },
	{ name = "spark", arguments = {3450, 950} },
	{ name = "spark", arguments = {3750, 650} },
	{ name = "spark", arguments = {3750, 750} },
	{ name = "spark", arguments = {3750, 850} },
	{ name = "spark", arguments = {2750, 1250} },
	{ name = "spark", arguments = {2750, 1350} },
	{ name = "spark", arguments = {2850, 1350} },
	{ name = "spark", arguments = {2750, 1550} },
	{ name = "spark", arguments = {3150, 1750} },
	{ name = "spark", arguments = {3350, 1950} },
	{ name = "spark", arguments = {3350, 2550} },
	{ name = "spark", arguments = {3350, 2650} },
	{ name = "spark", arguments = {3350, 2750} },
	{ name = "spark", arguments = {3550, 3050} },
	{ name = "spark", arguments = {3550, 3150} },
	{ name = "spark", arguments = {3450, 3750} },
	{ name = "spark", arguments = {3550, 3750} },
	{ name = "spark", arguments = {3650, 3750} },
	{ name = "spark", arguments = {2750, 3350} },
	{ name = "spark", arguments = {2750, 3750} },
	{ name = "spark", arguments = {1550, 2950} },
	{ name = "spark", arguments = {1650, 2950} },
	{ name = "spark", arguments = {1750, 2950} },
	{ name = "spark", arguments = {1150, 3250} },
	{ name = "spark", arguments = {1150, 3350} },
	{ name = "spark", arguments = {1250, 3350} },
	{ name = "spark", arguments = {350, 3350} },
	{ name = "spark", arguments = {450, 3350} },
	{ name = "spark", arguments = {550, 2950} },
	{ name = "spark", arguments = {650, 2950} },
	{ name = "spark", arguments = {550, 3050} },
	{ name = "spark", arguments = {150, 2850} },
	{ name = "spark", arguments = {150, 2950} },
	{ name = "spark", arguments = {150, 3050} },
	{ name = "spark", arguments = {750, 2350} },
	{ name = "spark", arguments = {850, 2350} },
	{ name = "spark", arguments = {350, 2150} },
	{ name = "spark", arguments = {150, 1350} },
	{ name = "spark", arguments = {550, 1350} },
	{ name = "spark", arguments = {1950, 1350} },
	{ name = "spark", arguments = {1950, 1550} },
	{ name = "spark", arguments = {1950, 1750} },
	{ name = "spark", arguments = {1920, 1780} },
	{ name = "spark", arguments = {1980, 1780} },
	{ name = "spark", arguments = {1950, 1810} },

	{ name = "circle", arguments = {1750, 1650, 125, 125} },
	{ name = "circle", arguments = {1735, 1890, 125, 125} },
	{ name = "circle", arguments = {1770, 2125, 125, 125} },
	{ name = "circle", arguments = {1965, 2125, 125, 125} },
	{ name = "circle", arguments = {2120, 2125, 125, 125} },
	{ name = "circle", arguments = {2135, 2015, 125, 125} },
	{ name = "circle", arguments = {2145, 1875, 125, 125} },
	{ name = "circle", arguments = {2140, 1725, 125, 125} },
	{ name = "circle", arguments = {1835, 1850, 50, 50} },
	{ name = "circle", arguments = {1870, 2050, 50, 50} },
	{ name = "circle", arguments = {2000, 2025, 50, 50} },
	{ name = "circle", arguments = {2100, 1875, 50, 50} },

	{ name = "text", arguments = {text[50][1][1], 2550, 850, text[50][1][2]} },
	{ name = "text", arguments = {text[50][2][1], 3550, 250, text[50][2][2]} },
	{ name = "text", arguments = {text[50][3][1], 2150, 450, text[50][3][2]} },
	{ name = "text", arguments = {text[50][4][1], 2750, 1850, text[50][4][2]} },
	{ name = "text", arguments = {text[50][5][1], 3250, 2150, text[50][5][2]} },
	{ name = "text", arguments = {text[50][6][1], 3550, 2850, text[50][6][2]} },
	{ name = "text", arguments = {text[50][7][1], 2850, 3550, text[50][7][2]} },
	{ name = "text", arguments = {text[50][8][1], 1250, 2950, text[50][8][2]} },
	{ name = "text", arguments = {text[50][9][1], 1150, 2450, text[50][9][2]} },
	{ name = "text", arguments = {text[50][10][1], 750, 3250, text[50][10][2]} },
	{ name = "text", arguments = {text[50][11][1], 550, 1850, text[50][11][2]} },
	{ name = "text", arguments = {text[50][12][1], 350, 650, text[50][12][2]} },
	{ name = "text", arguments = {text[50][13][1], 350, 1250, text[50][13][2]} },
	{ name = "text", arguments = {text[50][14][1], 1950, 850, text[50][14][2]} },
	{ name = "text", arguments = {text[50][15][1], 1550, 450, text[50][15][2]} },
	{ name = "text", arguments = {text[50][16][1], 350, 250, text[50][16][2]} },

	{ name = "finish", arguments = {1950, 1950, true} },
	{ name = "player", arguments = {4850, 2680} }
}